<template>
  <div class="todo-list">
    <add-element/>
<!--    czy dobrze zrozumiałem ten BEM - elementy i modyfikatory-->
     <div class="todo-list__items-list">

        <todo-item v-for="item in items"
                   :key="item.id"
                   :item="item"/>

     </div>
  </div>
</template>

<script>
import AddElement from './add-element.vue';
import TodoItem from './todo-item.vue';

export default {
  name: 'TodoList',
  components: {
    TodoItem,
    AddElement,
  },
  computed: {
      items() {
          return this.$store.state.items;
      }
  }
};
</script>

<style lang="scss" scoped>
  .todo-list__items-list {
    margin-left: 30px;
  }
</style>
